/**
 * 
 */
package org.ajax4jsf.portlet;

import java.util.Enumeration;
import java.util.Iterator;

final class IteratorEnumeration implements Enumeration {
	private Iterator<String> iterator;

	public IteratorEnumeration(Iterator<String> iterator) {
		this.iterator=iterator;
	}

	public boolean hasMoreElements() {
		return iterator.hasNext();
	}

	public Object nextElement() {
		return iterator.next();
	}
}